# Record TCefResourceBundleHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefResourceBundleHandler = record`

## Description

Structure used to implement a custom resource bundle structure. See TCefSettings for additional options related to resource bundle loading. The functions of this structure may be called on multiple threads.

NOTE: This struct is allocated client-side.

Implemented by ICefResourceBundleHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_resource_bundle_handler_capi.h">CEF source file: /include/capi/cef_resource_bundle_handler_capi.h (cef_resource_bundle_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_localized_string: function(self: PCefResourceBundleHandler; string_id: Integer; string_val: PCefString): Integer; stdcall;`
| `get_data_resource: function(self: PCefResourceBundleHandler; resource_id: Integer; var data: Pointer; var data_size: NativeUInt): Integer; stdcall;`
| `get_data_resource_for_scale: function(self: PCefResourceBundleHandler; resource_id: Integer; scale_factor: TCefScaleFactor; var data: Pointer; var data_size: NativeUInt): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_localized_string: function(self: PCefResourceBundleHandler; string_id: Integer; string_val: PCefString): Integer; stdcall;`
This item has no description.

| `get_data_resource: function(self: PCefResourceBundleHandler; resource_id: Integer; var data: Pointer; var data_size: NativeUInt): Integer; stdcall;`
This item has no description.

| `get_data_resource_for_scale: function(self: PCefResourceBundleHandler; resource_id: Integer; scale_factor: TCefScaleFactor; var data: Pointer; var data_size: NativeUInt): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.